Cancel email

Stop a scheduled or queued email from being sent.

POSThttps://api.cresca.xyz/api/v1/emails/:id/cancel

Requires a full-access key. Works while the email is scheduled or queued. Once sending has started it can no longer be canceled and the request returns 422 validation_error. A canceled email does not count toward your monthly allowance.

Path parameters

idstringrequired

The email id.

Example

Request
curl -X POST 'https://api.cresca.xyz/api/v1/emails/4ef9a417-02e9-4d39-ad75-9611e0fcc33c/cancel' \
  -H 'Authorization: Bearer cr_live_xxxxxxxxx'
Response 200
{
  "object": "email",
  "id": "4ef9a417-02e9-4d39-ad75-9611e0fcc33c"
}